Subject: [bug#33172] [PATCH] gnu: linux-libre: Enable BOCHS DRM support.

From: Mark H Weaver <[email-masked]>
Date: Sat, 27 Oct 2018 22:28:03 -0400

[email-masked] (Ludovic Courtès) writes:

> Mathieu Othacehe <[email-masked]> skribis:
>
>> This article might help to understand what's new in QEMU 3.0 with VGA
>> emulation.
>>
>> https://www.kraxel.org/blog/2018/10/qemu-vga-emulation-and-bochs-display/
>
> Looks interesting.
>
>>> * gnu/packages/aux-files/linux-libre/4.19-x86_64.conf: Build DRM BOCHS support
>>> as a module.  It adds DRM support for BOCHS dispi vga interface used by
>>> qemu (-vga std option). It will also be useful for QEMU 3.0 to enable the new
>>> "bochs-display" display device.
>>> * gnu/packages/aux-files/linux-libre/4.19-i686.conf: Ditto.

Looks good to me, please push.

> Perhaps we should enable it on AArch64 as well?  Mostly so that configs
> don’t diverge too much.

I just checked, and it's already enabled in our ARM and ARM64 configs.

FYI, our x86_64 and i686 configs were originally copied from
<https://jxself.org/git/kernel-configs.git>, and that's where the
decision to disable CONFIG_DRM_BOCHS originally came from.  In that
repo, you can see signs of indecision about whether to include that
module.  It was disabled in Jason's configs for 3.14-4.6, enabled in
4.7-4.15, disabled again in 4.16-4.18, and then enabled again in 4.19.

Since around 4.1 or 4.2, I've stopped looking at
<https://jxself.org/git/kernel-configs.git> and been using my own
judgement about new kernel configuration options brought to my attention
by "make oldconfig", but I haven't reviewed most of the older options.

Anyway, thanks for the patch!

       Mark